net.minecraft.network.rcon

## Class RConConsoleSource

- java.lang.Object
- - net.minecraft.network.rcon.RConConsoleSource

- All Implemented Interfaces:
    ICommandSender

      public class RConConsoleSource
      extends java.lang.Object
      implements ICommandSender

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RConConsoleSource` | `instance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RConConsoleSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChatMessage(IChatComponent ichatcomponent)`
    `boolean` | `canCommandSenderUseCommand(int par1, java.lang.String par2Str)`
    `IChatComponent` | `func_145748_c_()`
    `java.lang.String` | `getCommandSenderName()`
    `World` | `getEntityWorld()`
    `java.lang.String` | `getLogContents()`
    `ChunkCoordinates` | `getPlayerCoordinates()`
    `void` | `resetLog()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final RConConsoleSource instance

  - ### Constructor Detail

    - #### RConConsoleSource

          public RConConsoleSource()

  - ### Method Detail

    - #### resetLog

          public void resetLog()

    - #### getLogContents

          public java.lang.String getLogContents()

    - #### getCommandSenderName

          public java.lang.String getCommandSenderName()

      Specified by:
        `getCommandSenderName` in interface `ICommandSender`

    - #### func_145748_c_

          public IChatComponent func_145748_c_()

      Specified by:
        `func_145748_c_` in interface `ICommandSender`

    - #### addChatMessage

          public void addChatMessage(IChatComponent ichatcomponent)

      Specified by:
        `addChatMessage` in interface `ICommandSender`

    - #### canCommandSenderUseCommand

          public boolean canCommandSenderUseCommand(int par1,
                                           java.lang.String par2Str)

      Specified by:
        `canCommandSenderUseCommand` in interface `ICommandSender`

    - #### getPlayerCoordinates

          public ChunkCoordinates getPlayerCoordinates()

      Specified by:
        `getPlayerCoordinates` in interface `ICommandSender`

    - #### getEntityWorld

          public World getEntityWorld()

      Specified by:
        `getEntityWorld` in interface `ICommandSender`